# driver.cpp File Reference

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "debug.h"`
`#include "driver.h"`
`#include "sound/sound_driver.hpp"`
`#include "music/music_driver.hpp"`
`#include "video/video_driver.hpp"`

Go to the source code of this file.

## Functions

static const char * | GetDriverParam (const char *const *parm, const char *name)
bool | GetDriverParamBool (const char *const *parm, const char *name)
int | GetDriverParamInt (const char *const *parm, const char *name, int def)

## Variables

VideoDriver * | _video_driver
char | _ini_videodriver [32]
int | _num_resolutions
uint16 | _resolutions [32][2]
uint16 | _cur_resolution [2]
SoundDriver * | _sound_driver
char | _ini_sounddriver [32]
MusicDriver * | _music_driver
char | _ini_musicdriver [32]
char | _ini_blitter [32]

## Detailed Description

Definition in file driver.cpp.